%define name 		gphoto
%define version     0.4.3
%define release     4mdk
%define prefix  /usr

Summary: gPhoto - the GNU Digital Camera Program
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Graphics
Source0: ftp://ftp.gphoto.org/projects/gphoto/pub/tar/gphoto/stable/gphoto-%{version}.tar.bz2
Source1: gphoto.xpm
BuildRoot: /var/tmp/%{name}-buildroot
URL: http://www.gphoto.org/
Docdir: %{prefix}/doc
Requires: gtk+ >= 1.2.0

%description
gPhoto is part of the GNU project - and is an universal, free
GTK+ application and library framework that lets you download
images from several different digital camera models, and from
the local harddrive, and generate HTML albums.

%prep

%setup -q

%build

%ifarch alpha
libtoolize --force
CC="gcc -V `egcs-version`"
%else
CC=gcc
%endif

CC=$CC CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

rm -rf $RPM_BUILD_ROOT/usr/lib/*.a
rm -rf $RPM_BUILD_ROOT/usr/lib/*.la
rm -rf $RPM_BUILD_ROOT/usr/lib/*.so

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/%{name}"\
title="GPhoto"\
longtitle="A GNU Digital Camera Program"\
needs="x11"\
section="Multimedia/Graphics"\
icon="gphoto.xpm"
EOF
)  

install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
install -m 644 $RPM_SOURCE_DIR/gphoto.xpm $RPM_BUILD_ROOT/usr/share/icons/

%post
/sbin/ldconfig
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi  


%postun
/sbin/ldconfig
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
   fi
fi                 


%files
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ MANUAL NEWS README THANKS THEMES ChangeLog
%{prefix}/bin/*
%{prefix}/lib/*
#%{prefix}/lib/menu/*
%{prefix}/man/man1/*
%{prefix}/share/gnome/apps/Graphics/*
%dir /usr/share/gphoto
%dir /usr/share/gphoto/gallery
%dir /usr/share/gphoto/gallery/CSStheme
%dir /usr/share/gphoto/gallery/Default
%dir /usr/share/gphoto/gallery/RedNGray
%dir /usr/share/gphoto/doc
%{prefix}/share/gphoto/doc/*
%{prefix}/share/gphoto/gallery/CSStheme/*
%{prefix}/share/gphoto/gallery/Default/*
%{prefix}/share/gphoto/gallery/RedNGray/*
%{prefix}/share/icons/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-4mdk
- add ldconfig in postun
- add icon

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-3mdk
- merge menu file with spec

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-2mdk
- fix menu

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.4.3
- add menu entry

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize
- egcs

* Tue Dec 07 1999 John Buswell <johnb@mandrakesoft.com>
- 0.4.2

* Sun Nov 28 1999 John Buswell <johnb@mandrakesoft.com>
- 0.4.1
- Build Release

* Thu Oct 28 1999 John Buswell <johnb@mandrakesoft.com>
- create (more or less) mandrake spec file for gphoto

